/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * Contact: apiteam@swagger.io
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.wordnik.client.api

import java.math.BigDecimal
import com.wordnik.client.model.Inline_response_200
import com.wordnik.client.model.Inline_response_200_1
import com.wordnik.client.model. 
import com.wordnik.client.model.Inline_response_200_4
import com.wordnik.client.model.Inline_response_200_5
import com.wordnik.client.model.Inline_response_200_6
import com.wordnik.client.model.Inline_response_200_10
import com.wordnik.client.model.Inline_response_200_14

import java.io.File

import org.scalatra.{ TypedParamSupport, ScalatraServlet }
import org.scalatra.swagger._
import org.json4s._
import org.json4s.JsonDSL._
import org.scalatra.json.{ JValueResult, JacksonJsonSupport }
import org.scalatra.servlet.{FileUploadSupport, MultipartConfig, SizeConstraintExceededException}

import scala.collection.JavaConverters._

class DefaultApi (implicit val swagger: Swagger) extends ScalatraServlet 
    with FileUploadSupport
    with JacksonJsonSupport
    with SwaggerSupport {
  protected implicit val jsonFormats: Formats = DefaultFormats

  protected val applicationDescription: String = "DefaultApi"
  override protected val applicationName: Option[String] = Some("")

  before() {
    contentType = formats("json")
    response.headers += ("Access-Control-Allow-Origin" -> "*")
  }
  

  val balanceGetOperation = (apiOperation[BigDecimal]("balanceGet")
      summary "Аккаунт: баланс"
      parameters(queryParam[String]("token").description(""))
  )

  get("/balance",operation(balanceGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

  

  val balanceLicGetOperation = (apiOperation[BigDecimal]("balanceLicGet")
      summary "Аккаунт: баланс аккаунта лицензий"
      parameters(queryParam[String]("token").description(""))
  )

  get("/balance.lic",operation(balanceLicGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

  

  val billingDebtGetOperation = (apiOperation[List[Inline_response_200]]("billingDebtGet")
      summary "Информация по дебету аккаунта"
      parameters(queryParam[String]("token").description(""))
  )

  get("/billing/debt",operation(billingDebtGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

  

  val billingInfoGetOperation = (apiOperation[List[Inline_response_200_1]]("billingInfoGet")
      summary "Информация об аккаунте"
      parameters(queryParam[String]("token").description(""))
  )

  get("/billing/info",operation(billingInfoGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

  

  val billingLimitsGetOperation = (apiOperation[ ]("billingLimitsGet")
      summary "Получить ограничения аккаунта"
      parameters(queryParam[String]("token").description(""))
  )

  get("/billing/limits",operation(billingLimitsGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

  

  val dnsProlongListGetOperation = (apiOperation[List[Inline_response_200_4]]("dnsProlongListGet")
      summary "Информация по продлению доменов"
      parameters(queryParam[String]("token").description(""))
  )

  get("/dns/prolong/list",operation(dnsProlongListGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

  

  val emailAddGetOperation = (apiOperation[String]("emailAddGet")
      summary "Создание почтового ящика"
      parameters(queryParam[String]("token").description(""),
        queryParam[String]("addEmail").description(""))
  )

  get("/email/add",operation(emailAddGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
    
    
                val addEmail = params.getAs[String]("addEmail")

    println("addEmail: " + addEmail)
  }

  

  val emailAliasDeleteGetOperation = (apiOperation[String]("emailAliasDeleteGet")
      summary "Удаление псевдонимов почтовых ящиков"
      parameters(queryParam[String]("token").description(""),
        queryParam[String]("key").description(""))
  )

  get("/email/alias/delete",operation(emailAliasDeleteGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
    
    
                val key = params.getAs[String]("key")

    println("key: " + key)
  }

  

  val emailAliasListGetOperation = (apiOperation[List[Inline_response_200_5]]("emailAliasListGet")
      summary "Получить список псевдонимов почтовых ящиков"
      parameters(queryParam[String]("token").description(""))
  )

  get("/email/alias/list",operation(emailAliasListGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

  

  val emailDeleteGetOperation = (apiOperation[String]("emailDeleteGet")
      summary "Удаление почтового ящика"
      parameters(queryParam[String]("token").description(""),
        queryParam[String]("key").description(""))
  )

  get("/email/delete",operation(emailDeleteGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
    
    
                val key = params.getAs[String]("key")

    println("key: " + key)
  }

  

  val emailListGetOperation = (apiOperation[List[Inline_response_200_6]]("emailListGet")
      summary "Получить список почтовых ящиков"
      parameters(queryParam[String]("token").description(""))
  )

  get("/email/list",operation(emailListGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

  

  val updatesLastGetOperation = (apiOperation[Int]("updatesLastGet")
      summary "Идентификатор последнего уведомления в аудите"
      parameters(queryParam[String]("token").description(""))
  )

  get("/updates/last",operation(updatesLastGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

  

  val updatesListGetOperation = (apiOperation[List[Inline_response_200_10]]("updatesListGet")
      summary "Список записей аудита"
      parameters(queryParam[String]("token").description(""),
        queryParam[Int]("key").description(""))
  )

  get("/updates/list",operation(updatesListGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
    
    
                val key = params.getAs[Int]("key")

    println("key: " + key)
  }

  

  val websiteDeleteGetOperation = (apiOperation[String]("websiteDeleteGet")
      summary "Удаление сайта"
      parameters(queryParam[String]("token").description(""),
        queryParam[String]("key").description(""))
  )

  get("/website/delete",operation(websiteDeleteGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
    
    
                val key = params.getAs[String]("key")

    println("key: " + key)
  }

  

  val websiteListGetOperation = (apiOperation[List[Inline_response_200_14]]("websiteListGet")
      summary "Список сайтов аккаунта"
      parameters(queryParam[String]("token").description(""))
  )

  get("/website/list",operation(websiteListGetOperation)) {
    
    
                val token = params.getAs[String]("token")

    println("token: " + token)
  }

}