/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * Contact: apiteam@swagger.io
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.wordnik.client.model

import java.math.BigDecimal


case class Inline_response_200_1 (
  id: Int,  // Идентификатор аккаунта
description: String,  // Описание аккаунта
billing_group_id: Int,  // Идентификатор тарифной группы
blocked: String,  // Аккаунт заблокирован, если true
blocked_date: Option[String],  // Дата блокировки
blocked_reason: Option[String],  // Причина блокировки
credit_limit: BigDecimal,  // Ограничение суммы на работу в аванс
plan_id: Int,  // Идентификатор тарифа
period_id: Int,  // Идентификатор тарифа (периода)
contract_type: Int,  // Тип договора
client_id: Int,  // 
client_login: String,  // Логин клиента
contract_id: String,  // Номер договора
name_rus: String,  // Имя клиента на русском
name_eng: String,  // Имя клиента на английском
email: String,  // E-mail клиент
stat_sites: Int,  // Количество созданных сайтов
stat_size_mb: Int,  // Используемое дисковое пространство
stat_emails: Int,  // Количество созданных почтовых ящиков
stat_mysqls: Int,  // Количество баз данных MySQL
stat_tech: Int,  // 
stat_nicd: Int,  // 
stat_access_dynamic: Int,  // 
stat_access_static: Int,  // 
stat_access_traffic: Int,  // 
stat_paid_total: Int,  // 
stat_vds_size: Int,  // Размер дисков VDS
__plan_name: String,  // Название тарифного плана
__period_months: Int,  // Количество месяцев в оплаченном периоде
__period_price: BigDecimal,  // Стоимость оплаченного периода
__expires: String,  // 
external_currency_spelled_prefix: String,  // Префикс для вывода текущей валюты хостинга (например, в строке &#39;$100&#39; префиксом является &#39;$&#39;)
external_currency_spelled_suffix: String  // Суффикс для вывода текущей валюты хостинга (например, в строке &#39;100 руб.&#39; суффиксом является &#39; руб.&#39;
)
